package gssim.gssimstudio.editor.charts.scheduling.samples
{	
	import gssim.gssimstudio.editor.charts.scheduling.scheduleClasses.layout.IVerticalLinesLayout;
	import gssim.gssimstudio.editor.charts.scheduling.scheduleClasses.layout.VerticalLinesLayoutItem;
	import gssim.gssimstudio.editor.charts.scheduling.scheduleClasses.lineRenderer.ILineRenderer;
	import gssim.gssimstudio.editor.charts.scheduling.scheduleClasses.lineRenderer.LineRenderer;
	import gssim.gssimstudio.editor.charts.scheduling.scheduleClasses.viewers.VerticalLinesViewer;
	
	public class SolidVerticalLinesViewer extends VerticalLinesViewer 
	{
		override protected function render( layout : IVerticalLinesLayout ) : void 
		{
			var lineRenderer : ILineRenderer = new LineRenderer();
			lineRenderer.weight = verticalGridLineThickness;
			lineRenderer.color = verticalGridLineColor;
			lineRenderer.alpha = verticalGridLineAlpha;
			
			for each( var item : VerticalLinesLayoutItem in layout.items )
			{
				super.drawLineForItem( item, lineRenderer );
			}
		}		
		
	}
}
