package gssim.gssimstudio.editor.flare.data
{	
	/**
	 * A data set is a collection of data tables.
	 */
	public class DataSet
	{
		/**
		 * Creates a new DataSet.
		 * @param nodes a data table of node data
		 * @param edges a data table of edge data (optional, for graphs only)
		 */
		public function DataSet(nodes:DataTable, edges:DataTable=null) {
			this.nodes = nodes;
			this.edges = edges;
		}

		/** A DataTable of nodes (or table rows). */
		public var nodes:DataTable = null;
		
		/** A DataTable of edges. */
		public var edges:DataTable = null;

	} // end of class DataSet
}
