package gssim.gssimstudio.editor.gssim.errors.workload
{
	import gssim.gssimstudio.editor.gssim.editors.workload.RandParamsWindow;
	import gssim.gssimstudio.editor.gssim.errors.AbstractError;
	import gssim.gssimstudio.editor.gssim.workload.RandParams;
	
	import gssim.gssimstudio.editor.script.views.ViewsHelper;

	/**
	 * Error raised if referenceable RandParam value is invalid 
	 */
	public class ExistingRandParamsError extends AbstractError
	{
		private var params : RandParams;
		
		public function ExistingRandParamsError(messageCode : String, message : String, params : RandParams)
		{
			super(messageCode);
			this.message = params.params.parentTagName + ": " + message;
			this.params = params;
		}
		
		public override function solve() : void
		{
			var window : RandParamsWindow = new RandParamsWindow();
			window.params = params;
			ViewsHelper.WorkloadCanvas.windowManager.add(window);
		}
	}
}
