package gssim.gssimstudio.editor.gssim.errors.workload
{
	import gssim.gssimstudio.editor.gssim.editors.workload.RandParamsWindow;
	import gssim.gssimstudio.editor.gssim.errors.AbstractError;
	
	import gssim.gssimstudio.editor.script.views.ViewsHelper;

	/**
	 * Error rised if RandParams value defined by tag is invalid
	 */
	public class RandParamsByTagError extends AbstractError
	{
		private var paramName : String;
		
		public function RandParamsByTagError(messageCode : String, paramName : String)
		{
			super(messageCode);
			this.message = paramName + ":";
			this.paramName = paramName;
		}
		
		public override function solve() : void
		{
			var window : RandParamsWindow = new RandParamsWindow();
			window.init(paramName);
			ViewsHelper.WorkloadCanvas.windowManager.add(window);
		}
	}
}
