package gssim.gssimstudio.editor.gssim.workload.types
{
	import mx.collections.ArrayCollection;
	
	/**
	 * DistributionType enum
	 */
	public final class DistributionType
	{
		public static const CONSTANT : String = "constant"; 
		public static const NORMAL : String = "normal"; 
		public static const POISSON : String = "poisson"; 
		public static const UNIFORM : String = "uniform"; 
		public static const EXPONENTIAL : String = "exponential"; 
		public static const GAMMA : String = "gamma"; 
		public static const HARMONIC : String = "harmonic";
		
		public static function getAsArray() : ArrayCollection
		{
			var ac : ArrayCollection = new ArrayCollection();
			ac.addItem("");
			ac.addItem(CONSTANT);
			ac.addItem(NORMAL);
			ac.addItem(POISSON);
			ac.addItem(UNIFORM);
			ac.addItem(EXPONENTIAL);
			ac.addItem(GAMMA);
			ac.addItem(HARMONIC);
			return ac;
		}
	}
}
