package gssim.gssimstudio.editor.gssim.workload.types
{
	import mx.collections.ArrayCollection;
	
	/**
	 * Metric enum
	 */
	public final class Metric
	{
		public static const osname : String = "osname";
		public static const ostype : String = "ostype";
		public static const puarch : String = "puarch";
		public static const osversion : String = "osversion";
		public static const osrelease : String = "osrelease";
		public static const memory : String = "memory";
		public static const freememory : String = "freememory";
		public static const cpucount : String = "cpucount";
		public static const freecpus : String = "freecpus";
		public static const cpuspeed : String = "cpuspeed";
		public static const application : String = "application";
		public static const diskspace : String = "diskspace";
		public static const freediskspace : String = "freediskspace";
		public static const remoteSubmissionInterface : String = "remoteSubmissionInterface";
		public static const localResourceManager : String = "localResourceManager";
		public static const hostname : String = "hostname";

		public static function getAsArray() : ArrayCollection
		{
			var ac : ArrayCollection = new ArrayCollection();
			ac.addItem(osname);
			ac.addItem(ostype);
			ac.addItem(puarch);
			ac.addItem(osversion);
			ac.addItem(osrelease);
			ac.addItem(memory);
			ac.addItem(freememory);
			ac.addItem(cpucount);
			ac.addItem(freecpus);
			ac.addItem(cpuspeed);
			ac.addItem(application);
			ac.addItem(diskspace);
			ac.addItem(freediskspace);
			ac.addItem(remoteSubmissionInterface);
			ac.addItem(localResourceManager);
			ac.addItem(hostname);
			return ac;
		}
	}
}
