package gssim.gssimstudio.editor.script.command
{
	import flash.display.BitmapData;
	import flash.display.DisplayObject;
	import flash.display.IBitmapDrawable;
	import flash.events.Event;
	import flash.geom.Rectangle;
	import flash.net.FileReference;
	import flash.utils.ByteArray;
	
	import mx.graphics.codec.PNGEncoder;
	
	/**
	 * Save DisplayObject to PNG encoded file selected by user
	 */
	public class SaveToPNGCommand implements ICommand
	{		
		public var component : DisplayObject;
		
		public function SaveToPNGCommand(component : DisplayObject)
		{
			this.component = component;
		}

		public function execute():void
		{
			var bitmapData:BitmapData = new BitmapData 
				(component.width,component.height); 
			bitmapData.fillRect(new Rectangle 
				(0,0,bitmapData.width,bitmapData.height),0x00000000); 
			bitmapData.draw(component); 
			var fileRef:FileReference = new FileReference(); 
			var encoder:PNGEncoder = new PNGEncoder(); 
			var data:ByteArray = encoder.encode(bitmapData); 
			fileRef.save(data); 
		}
		
		public function executeFromListener(event : Event):void
		{
			execute();
		}
	}
}
