/*
 * @author Mateusz Cicheński, Jarek Szymczak
 */
package gssim.gssimstudio.flex.app.editor;

import gssim.db.dao.data.BlobProperty;
import gssim.db.dao.data.TextProperty;

import java.io.Serializable;
import java.util.List;

/**
 * Template provided by the Vine Toolkit project.
 * 
 */
public class ExtendedConfiguration implements Serializable {

	// IMPORTANT - please regenerate your serialVersionUID
	private static final long serialVersionUID = 54367668639900902L;

	private int configurationId;
	private String networkTopology;
	private List<BlobProperty> blobPropertyList;
	private List<TextProperty> textPropertyList;	
	
	public int getConfigurationId() {
		return configurationId;
	}
	
	public void setConfigurationId(int configurationId) {
		this.configurationId = configurationId;
	}
	
	public String getNetworkTopology() {
		return networkTopology;
	}
	public void setNetworkTopology(String networkTopology) {
		this.networkTopology = networkTopology;
	}
	
	public List<BlobProperty> getBlobPropertyList() {
		return blobPropertyList;
	}

	public void setBlobPropertyList(List<BlobProperty> blobPropertyList) {
		this.blobPropertyList = blobPropertyList;
	}

	public List<TextProperty> getTextPropertyList() {
		return textPropertyList;
	}

	public void setTextPropertyList(List<TextProperty> textPropertyList) {
		this.textPropertyList = textPropertyList;
	}
}
