package gssim.db.dao.data;

/**
 * 
 * @author Jarek Szymczak
 *
 */
public class Queues {

	protected Integer fkResourceId;
	protected String name;
	protected Float avgLength;
	
	public Integer getFkResourceId() {
		return fkResourceId;
	}
	
	public void setFkResourceId(Integer fkResourceId) {
		this.fkResourceId = fkResourceId;
	}
	
	public String getName() {
		return name;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public Float getAvgLength() {
		return avgLength;
	}
	
	public void setAvgLength(Float avgLength) {
		this.avgLength = avgLength;
	}
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((avgLength == null) ? 0 : avgLength.hashCode());
		result = prime * result
				+ ((fkResourceId == null) ? 0 : fkResourceId.hashCode());
		result = prime * result + ((name == null) ? 0 : name.hashCode());
		return result;
	}
	
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Queues other = (Queues) obj;
		if (avgLength == null) {
			if (other.avgLength != null)
				return false;
		} else if (!avgLength.equals(other.avgLength))
			return false;
		if (fkResourceId == null) {
			if (other.fkResourceId != null)
				return false;
		} else if (!fkResourceId.equals(other.fkResourceId))
			return false;
		if (name == null) {
			if (other.name != null)
				return false;
		} else if (!name.equals(other.name))
			return false;
		return true;
	}
	
	@Override
	public String toString() {
		return "Queues [fkResourceId=" + fkResourceId + ", name=" + name
				+ ", avgLength=" + avgLength + "]";
	}

	
}
