package gssim.gssimstudio.editor
{
import flash.events.EventDispatcher;
import flash.utils.ByteArray;

import gssim.gssimstudio.db.dao.data.Configuration;
import gssim.gssimstudio.db.dao.data.User;
import gssim.gssimstudio.editor.charts.ResourceChartModel;

import mx.collections.ArrayCollection;

	[Bindable]
	[RemoteClass(alias = "gssim.gssimstudio.flex.app.editor.GSSimStudioModel")]
	public class GSSimStudioModel {

		public function GSSimStudioModel() {
		}

		private var tellBlazeToLoadThisClass : ResourceChartModel;
		
		public var comparisonComponents : Object;
		public var resourceChartComponents:Object;
		
		public var experimentList:ArrayCollection;
		public var experimentListChanged:Boolean;
		
		public var currentExperimentNetworkTopology : ByteArray;
		
		public var currentLocationItem:Object;
		public var linkLocationItemList:ArrayCollection;
		public var serverLocationItemList:ArrayCollection;
		public var workloadFileLocationItemList:ArrayCollection;
		public var topologiesFileLocationItemList:ArrayCollection;
		public var resourcesFileLocationItemList:ArrayCollection;
		public var selectedServerIdx : Number;
		public var errorDescription : String;
		
		public var error:String;
		public var user:User;
		public var extendedConfiguration:ExtendedConfiguration;

		public var globalPluginList:ArrayCollection;
		public var localPluginList:ArrayCollection;
		public var allocationList:ArrayCollection;
		public var allocationDetailsList:ArrayCollection;
		public var blobPropertyList:ArrayCollection;
		public var metaexperimentList:Object;
		public var experimentStatsList:ArrayCollection;
		public var queuesList:ArrayCollection;
		public var reservationList:ArrayCollection;
		public var reservationDetailsList:ArrayCollection;
		public var resourceList:ArrayCollection;
		public var resourceAllTimelineList:ArrayCollection;
		public var resourceEnTimelineList:ArrayCollection;
		public var taskList:ArrayCollection;
		public var textPropertyList:ArrayCollection;
		public var unitList:ArrayCollection;
		public var unitAllTimelineList:ArrayCollection;
		public var unitDetailsList:ArrayCollection;
		public var unitEnTimelineList:ArrayCollection;
	}
}
