package gssim.gssimstudio.editor.flare.query.methods
{
	import gssim.gssimstudio.editor.flare.query.And;
	
	/**
	 * Creates a new <code>And</code> query operator.
	 * @param rest a list of expressions to include in the and
	 * @return the new query operator
	 */
	public function and(...rest):And
	{
		var a:And = new And();
		a.setChildren(rest);
		return a;
	}	
}
