package gssim.gssimstudio.editor.gssim.errors
{
	import mx.resources.ResourceManager;
	
	/**
	 * Abstract class for error handling
	 */
	public class AbstractError
	{
		private var messageCode : String;
		protected var message : String;
		
		public function AbstractError(messageCode : String, message : String = "")
		{
			if (messageCode != null && messageCode != "")
				this.messageCode = messageCode;
			else
				this.messageCode = "UnknownError";
			this.message = message;
		}

		public function get Message() : String
		{
			return message + " " + ResourceManager.getInstance().getString('WorkloadEditor', messageCode);
		}

		/**
		 * Solve the error
		 */
		public function solve() : void
		{
			//CAN'T SOLVE ABSTRACT ERROR
		}
	}
}
