package gssim.gssimstudio.editor.gssim.errors
{
	import mx.collections.ArrayCollection;
	
	/**
	 * Interface for objects that are able to validate itself and return error list
	 */
	public interface ValidableObject
	{
		/**
		 * This function should return ArrayCollection with list of errors.
		 */
		function validate() : ArrayCollection;
	}
}
