package gssim.gssimstudio.editor.gssim.topology.layouts
{
	import gssim.gssimstudio.editor.gssim.topology.Graph;
	import gssim.gssimstudio.editor.gssim.topology.GraphItem;
	
	/**
	 * Simple layout based on DFS algorithm
	 */
	public class gssimFileLayout implements ILayout
	{	
		public function isStatic() : Boolean
		{
			return false;
		}
		
		protected var appWidth: Number = 0;
		
		public function gssimFileLayout(_width:Number)
		{
			appWidth = _width;
		}

		public function doLayout(graph:Graph):void
		{
			//graph is empty
			if (!graph.hasNodes) return;
			
			//find user object, else take first item
			//reset nodes
			var x : Number = 0;
			var y : Number = 0;
			
			for each (var node : GraphItem in graph.nodes)
			{
				node.x = x;
				node.y = y;
				x += 192;
				if (x > appWidth - 191) 
				{
					x = 0;
					y += 96;
				}
			}
			
		}
		
	}
}