package gssim.gssimstudio.editor.gssim.workload
{
	import gssim.gssimstudio.editor.gssim.errors.ValidableObject;
	import gssim.gssimstudio.editor.gssim.xml.XMLBasicWrapper;
	
	import mx.collections.ArrayCollection;

	/**
	 * Consists of minimum and maximum value
	 */
	public class Range extends XMLBasicWrapper implements ValidableObject
	{
		public var min : RandParams;
		public var max : RandParams;
		
		public override function getXML(addLabel : Boolean) : XML
		{
			if (min == null && max == null) return null;
			var xml : XML = <range />;
			if (addLabel) addStringAttribute(xml, "label", xml.toXMLString(), false);
			if (min != null) xml.appendChild(min.getXML(addLabel));
			if (max != null) xml.appendChild(max.getXML(addLabel));
			return xml;
		}
		
		public function validate() : ArrayCollection
		{
			var ac : ArrayCollection = new ArrayCollection();
			
			return ac;
		}		
	}
}
