package gssim.gssimstudio.editor.script.command
{
	import flash.events.Event;
	
	import flexlib.mdi.containers.MDICanvas;
	
	import gssim.gssimstudio.editor.gssim.editors.topology.ObjectPropertiesWindow;
	import gssim.gssimstudio.editor.gssim.topology.GenderObject;
	import gssim.gssimstudio.editor.gssim.editors.topology.paramsWindows.*;
	
	/**
	 * Open gender object properties in edit mode in network editor
	 */
	public class OpenObjectPropertiesWindowCommand implements ICommand
	{
		public var paramsWindow : ObjectPropertiesWindow;
		public var myContainer : MDICanvas;
		
		public function OpenObjectPropertiesWindowCommand(canvas : MDICanvas, object : GenderObject)
		{
			paramsWindow = new ObjectPropertiesWindow();
			paramsWindow.init(object);
			myContainer = canvas;
		}

		public function execute():void
		{
			if (myContainer.getChildByName(paramsWindow.name) == null)
			{
				myContainer.windowManager.add(paramsWindow);
			}
		}
		
		public function executeFromListener(event : Event):void
		{
			execute();
		}
		
	}
}
