package gssim.gssimstudio.editor.script.event
{
	import flash.events.Event;
	
	import gssim.gssimstudio.editor.gssim.topology.NetworkObjectLinker;

	/**
	 * Event bound with invalid user action
	 */
	public class InvalidActionEvent extends Event
	{
		private var _message : String;
		public function get message() : String
		{
			return _message;
		}
		
		public function InvalidActionEvent(type:String, message : String, bubbles:Boolean=false, cancelable:Boolean=false)
		{
			super(type, bubbles, cancelable);
			_message = message;
		}
		
		override public function clone():Event
		{
			return new InvalidActionEvent(type, message, bubbles, cancelable);
		}
		
	}
}
