package gssim.gssimstudio.editor.script.event
{
	import flash.events.Event;
	
	import gssim.gssimstudio.editor.gssim.topology.GenderObject;

	/**
	 * Event bound with GenderObject actions
	 */
	public class ObjectEvent extends Event
	{
		public var _object : GenderObject;
		public function get object() : GenderObject
		{
			return _object;
		}
		
		public function ObjectEvent(type:String, object : GenderObject, bubbles:Boolean=false, cancelable:Boolean=false)
		{
			super(type, bubbles, cancelable);
			_object = object;
		}

		override public function clone():Event
		{
			return new ObjectEvent(type, object, bubbles, cancelable);
		}
	}
}
